Summary: Software version control visualization
Name: gource
Version: 0.40
Release: %mkrel 1
URL: http://gource.googlecode.com/
Source: https://gource.googlecode.com/files/%{name}-%{version}.tar.gz
License: GPLv3+
Group: Video/Utilities

BuildRequires: pkgconfig(SDL_image)
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(libpcre)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(freetype2)
BuildRequires: glm-devel
BuildRequires: boost-devel

Requires: gnu-free-sans-fonts

%description

OpenGL-based 3D visualization tool for source control repositories.
The repository is displayed as a tree where the root of the repository is
the centre, directories are branches and files are leaves. Contributors
to the source code appear and disappear as they contribute to specific
files and directories.

%prep
%setup -q

%build
%configure --enable-ttf-font-dir=%{_datadir}/fonts/gnu-free/
%make

%install
%makeinstall_std
rm -rf %{buildroot}/%{_datadir}/%{name}/fonts

%files

%{_bindir}/gource
%{_mandir}/man1/gource.1.*
%doc README THANKS ChangeLog

%dir %{_datadir}/gource
%{_datadir}/gource/*


%changelog
* Fri Nov 22 2013 colin <colin> 0.40-1.mga4
+ Revision: 552324
- Use pkgconfig build requires where it's used in configure.ac
- No need to tweak Makefile.in
- Import Fedora package and adapt to Mageia


* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 0.40-2
- rebuilt for GLEW 1.10

* Fri Oct 18 2013 Jon Ciesla <limburgher@gmail.com> - 0.40-1
- Latest upstream, BZ 1020688.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.38-5
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.38-4
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.38-3
- Rebuild for Boost-1.53.0

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 0.38-2
- Rebuild for glew 1.9.0

* Mon Sep  3 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.38-1
- New upstream 0.38

* Sun Jul 29 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.37-6
- Rebuild for broken dep on libGLEW.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.37-4
- Rebuild against PCRE 8.30

* Tue Jan 17 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.37-3
- Fix build failure with gcc-4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.37-1
- New upstream 0.37
- Clean up spec to match current guidelines

* Sat Jul 30 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.35-1
- New upstream 0.35

* Mon Jun 20 2011 ajax@redhat.com - 0.29-2
- Rebuild for new glew soname

* Fri Feb 11 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.29-1
- New upstream 0.29

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 28 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.28-1
- New upstream 0.28

* Fri Aug 06 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-2
- Fixed missing dist in the Release value
- Fixed dates in the changelog

* Thu Aug 05 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-1
- Rebase to upstream version 0.27

* Sat Jul 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-0.1.beta.20100710
- Rebase to new upstream version
- Added new BuildRequires libGLEW

* Fri Apr 16 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-3
- BZ #582781 Randomize name for files created in /tmp

* Sun Feb 28 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-2
- BZ #567559: Flip images in software for PPM output since hardware flipping
  fails on some video cards

* Thu Feb 18 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-1
- New upstream release
- Added COPYING, README, THANKS and ChangeLog in docs

* Sun Jan 17 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.23-2
- Modified Makefile.in in %%prep section to preserve timestamps
- Require gnu-free-sans-fonts and use the --enable-ttf-font-dir configure option
- Updated %%files section in spec file based on suggestions in review request

* Tue Dec 29 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.23-1
- Rebase to new upstream release version 0.23
- Spec file updates: use parallel make and %%global instead of %%define

* Sat Dec 05 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-3
- Fixed unowned directory in .spec files section
- Dropped package version patch since it's not really breaking anything
- Replace RPM_BUILD_ROOT with buildroot to maintain consistency
- Removed unnecessary Requires from spec
- Removed unnecessary --prefix in configure section
- Preserve timestamps during install
- Added freetype-devel as a build dependency
- Fixed BuildRoot
- Clean buildroot in the install section

* Wed Dec 02 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-2
- Fixed spec and rpm warnings from rpmlint

* Wed Dec 02 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-1
- New package
- Fixed version number in configure.ac to reflect the released version

